package kr.co.vividnext.sodalive.audition

class AuditionRepository(
    private val api: AuditionApi
) {
    fun getAuditionList(
        page: Int,
        size: Int,
        token: String
    ) = api.getAuditionList(
        page = page - 1,
        size = size,
        authHeader = token
    )

    fun getAuditionDetail(
        auditionId: Long,
        token: String
    ) = api.getAuditionDetail(
        id = auditionId,
        authHeader = token
    )
}
